Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.job
Interface JobResult

All Known Subinterfaces:
  CheckParamResult, CheckPrivilegesResult

    public interface JobResult

Interface through which to report the result of a job.

Field Summary
`static int` | `ABORTED` Value for `getLevel()` and `setLevel(int)` methods.
`static int` | `ERROR` Value for `getLevel()` and `setLevel(int)` methods.
`static int` | `SUCCESS` Value for `getLevel()` and `setLevel(int)` methods.
`static int` | `WARNING` Value for `getLevel()` and `setLevel(int)` methods.

Method Summary
`int` | `getCode()` Get any error code associated with this result.
`int` | `getLevel()` Get the level currently associated with this result.
`String` | `getMessage()` Return the message associated with this result, if any.
`DirectoryObject` | `getObject()` Get the directory object associated with this result, if any.
`void` | `setCode(int code)` Set an error code for this result.
`void` | `setLevel(int level)` Set the level for this result.
`void` | `setMessage(String message)` Set the message associated with this result.
`void` | `setObject(DirectoryObject object)` Set the directory object associated with this result.

Field Detail

### SUCCESS

    static final int SUCCESS

  Value for `getLevel()` and `setLevel(int)` methods. Indicates all processing completed successfully.

  See Also:
    Constant Field Values

### WARNING

    static final int WARNING

  Value for `getLevel()` and `setLevel(int)` methods. Indicates all processing completed but with non-critical problems.

  See Also:
    Constant Field Values

### ERROR

    static final int ERROR

  Value for `getLevel()` and `setLevel(int)` methods. Indicates processing did not complete, or completed but with critical problems.

  See Also:
    Constant Field Values

### ABORTED

    static final int ABORTED

  Value for `getLevel()` and `setLevel(int)` methods. Indicates processing did not complete.

  See Also:
    Constant Field Values

Method Detail

### getLevel

    int getLevel()

  Get the level currently associated with this result.

  Returns:
    `SUCCESS`, `WARNING`, `ERROR`, `ABORTED`

### setLevel

    void setLevel(int level)
                  throws IllegalArgumentException

  Set the level for this result.

  Parameters:
    `level` - `SUCCESS`, `WARNING`, `ERROR`, `ABORTED`
  Throws:
    `IllegalArgumentException` - thrown if `level` is not one of the listed values.

### getCode

    int getCode()

  Get any error code associated with this result. Zero (`0`) indicates no error code is associated with the result.

  Returns:
    error code or `0`

### setCode

    void setCode(int code)

  Set an error code for this result.

  Parameters:
    `code` - error code (zero means no error)

### getMessage

    String getMessage()

  Return the message associated with this result, if any.

  Returns:
    The message associated with this result. May be `null`.

### setMessage

    void setMessage(String message)

  Set the message associated with this result.

  Parameters:
    `message` - The message `String`. May be `null`.

### getObject

    DirectoryObject getObject()

  Get the directory object associated with this result, if any.

  Returns:
    The `DirectoryObject` instance associated with this result. May be `null`.

### setObject

    void setObject(DirectoryObject object)

  Set the directory object associated with this result.

  Parameters:
    `object` - `DirectoryObject` instance. May be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD